3 yell
() { echo "$0: $*" >&2; } # print script path and all args to stderr
4 die
() { yell
"$*"; exit 111; } # same as yell() but non-zero exit status
5 try
() { "$@" || die
"cannot $*"; } # runs args as command, reports args if command fails
7 if [[ ! -f $1 ]]; then die
"FATAL:Not a file:$1"; fi;
9 ots u
"$1" 1>/dev
/null
2>&1;
11 if ! ( ots v
"$1" 1>/dev
/null
2>/dev
/null
); then
12 yell
"ERROR:Verification failed:$1";